# Fraco

Code for the Fraco project on fragile code comments. [Download](fraco-0.2.zip)

## License

Copyright (C) 2019 McGill University

THE ACCOMPANYING PROGRAM IS PROVIDED UNDER THE TERMS OF THE [ECLIPSE
PUBLIC LICENSE v2.0.](https://www.eclipse.org/legal/epl-2.0/) ANY USE, REPRODUCTION OR DISTRIBUTION OF THE PROGRAM CONSTITUTES RECIPIENT'S ACCEPTANCE OF THIS AGREEMENT.

## Reference

Please reference the following publication in any descriptions of derived work:

Inderjot Kaur Ratol and Martin P. Robillard. [Detecting Fragile Comments](https://www.cs.mcgill.ca/~martin/papers/ase2017.pdf). In Proceedings of the 32nd IEEE/ACM International Conference on Automated Software Engineering, pages 112-122, November, 2017.

```
@INPROCEEDINGS{RR2017a,
  author={Inderjot K. Ratol and Martin P. Robillard},
  booktitle={Proceedings of the 32nd IEEE/ACM International Conference on Automated Software Engineering},
  title={Detecting Fragile Comments},
  year={2017},
  pages={112--122},
  doi={10.1109/ASE.2017.8115624},
  month={Oct}
}
```

## Installation and Execution

Link to the StanfordCoreNLP jar file:

http://stanfordnlp.github.io/CoreNLP/download.html

All the other jar files referenced in project are available in the repo except stanford-corenlp-3.6.0-models.jar.

Steps to run the Eclipse plug-in:

1. Load the project in Eclipse.
2. Download the "stanford-corenlp-3.6.0-models.jar" file and add to the Libs folder in project.
3. Add the download JAR file in build path.
4. Run.
5. A new instance of Eclipse will be launched.
6. Load any Java project in the new instance.
7. Tool will run in the background automatically on refactoring (renaming) any identifier in the loaded project.
8. To add/remove filters, use the options present in toolbar.
9. Fragile comments will be displayed in problems view.
10. Click on the warning to navigate to a particular fragile comment.

## Contact Information

This source code is provided as is, and we regret that there are no resources available to support its long terms maintenance. For general questions about the project please contact [the authors](https://www.cs.mcgill.ca/~martin/papers/ase2017.pdf).
