/*******************************************************************************
 * Fraco - Eclipse plug-in to detect fragile comments
 *
 * Copyright (C) 2019 McGill University
 *     
 * Eclipse Public License - v 2.0
 *
 *  THE ACCOMPANYING PROGRAM IS PROVIDED UNDER THE TERMS OF THIS ECLIPSE
 *  PUBLIC LICENSE v2.0. ANY USE, REPRODUCTION OR DISTRIBUTION
 *  OF THE PROGRAM CONSTITUTES RECIPIENT'S ACCEPTANCE OF THIS AGREEMENT.
 *******************************************************************************/
package ca.mcgill.cs.stg.fraco.utils;

import java.util.ArrayList;
import java.util.List;

public class Identifier {

	private String _name;
	private String _fullQualifiedName;
	private int _lineNumber;
	private Modifiers _parentModifier;
	private List<Comments> _comments;
	private int _uid;
	private List<FragileComments> _fragileComments;
	private String _methodName;

	private Type _type;
	private String _parentClassName;
	private List<Comments> _leadingComments = new ArrayList<Comments>();
	private int _matchCount;
	private String _cuName;
	private Modifiers _modifier;

	private String _packageName;

	private List<String> _paramterNames;

	private boolean _isOverriden;
	private boolean _isBinary;

	public Type get_type() {
		return _type;
	}

	public void set_type(Type type) {
		this._type = type;
	}

	private Scope _scope;

	public Scope get_scope() {
		return _scope;
	}

	public void set_scope(Scope _scope) {
		this._scope = _scope;
	}

	private String _className;

	public String get_className() {
		return _className;
	}

	public void set_className(String _className) {
		this._className = _className;
	}

	/**
	 * @return the _modifier
	 */
	public Modifiers get_modifier() {
		return _modifier;
	}

	/**
	 * @param _modifier
	 *            the _modifier to set
	 */
	public void set_modifier(Modifiers _modifier) {
		this._modifier = _modifier;
	}

	/**
	 * @return the _name
	 */
	public String get_name() {
		return _name;
	}

	/**
	 * @param _name
	 *            the _name to set
	 */
	public void set_name(String _name) {
		this._name = _name;
	}

	/**
	 * @return the _lineNumber
	 */
	public int get_lineNumber() {
		return _lineNumber;
	}

	/**
	 * @param _lineNumber
	 *            the _lineNumber to set
	 */
	public void set_lineNumber(int _lineNumber) {
		this._lineNumber = _lineNumber;
	}

	/**
	 * @return the _parentModifier
	 */
	public Modifiers get_parentModifier() {
		return _parentModifier;
	}

	/**
	 * @param _parentModifier
	 *            the _parentModifier to set
	 */
	public void set_parentModifier(Modifiers _parentModifier) {
		this._parentModifier = _parentModifier;
	}

	/**
	 * @return the _packageName
	 */
	public String get_packageName() {
		return _packageName;
	}

	/**
	 * @param _packageName
	 *            the _packageName to set
	 */
	public void set_packageName(String _packageName) {
		this._packageName = _packageName;
	}

	/**
	 * @return the _paramterNames
	 */
	public List<String> get_paramterNames() {
		return _paramterNames;
	}

	/**
	 * @param _paramterNames
	 *            the _paramterNames to set
	 */
	public void set_paramterNames(List<String> _paramterNames) {
		this._paramterNames = _paramterNames;
	}

	/**
	 * @return the _comments
	 */
	public List<Comments> get_comments() {
		return _comments;
	}

	/**
	 * @param _comments
	 *            the _comments to set
	 */
	public void set_comments(List<Comments> _comments) {
		this._comments = _comments;
	}

	/**
	 * @return the _fragileComments
	 */
	public List<FragileComments> get_fragileComments() {
		return _fragileComments;
	}

	/**
	 * @param _fragileComments
	 *            the _fragileComments to set
	 */
	public void set_fragileComments(List<FragileComments> _fragileComments) {
		this._fragileComments = _fragileComments;
	}

	/**
	 * @return the _methodName
	 */
	public String get_methodName() {
		return _methodName;
	}

	/**
	 * @param _methodName
	 *            the _methodName to set
	 */
	public void set_methodName(String _methodName) {
		this._methodName = _methodName;
	}

	/**
	 * @return the _parentClassName
	 */
	public String get_parentClassName() {
		return _parentClassName;
	}

	/**
	 * @param _parentClassName
	 *            the _parentClassName to set
	 */
	public void set_parentClassName(String _parentClassName) {
		this._parentClassName = _parentClassName;
	}

	/**
	 * @return the _matchCount
	 */
	public int get_matchCount() {
		return _matchCount;
	}

	/**
	 * @param _matchCount
	 *            the _matchCount to set
	 */
	public void set_matchCount(int _matchCount) {
		this._matchCount = _matchCount;
	}

	/**
	 * @return the _cuName
	 */
	public String get_cuName() {
		return _cuName;
	}

	/**
	 * @param _cuName
	 *            the _cuName to set
	 */
	public void set_cuName(String _cuName) {
		this._cuName = _cuName;
	}

	/**
	 * @return the _leadingComments
	 */
	public List<Comments> get_leadingComments() {
		return _leadingComments;
	}

	/**
	 * @param _leadingComments
	 *            the _leadingComments to set
	 */
	public void set_leadingComments(List<Comments> _leadingComments) {
		this._leadingComments = _leadingComments;
	}

	/**
	 * @return the _uid
	 */
	public int get_uid() {
		return _uid;
	}

	/**
	 * @param _uid
	 *            the _uid to set
	 */
	public void set_uid(int _uid) {
		this._uid = _uid;
	}

	/**
	 * @return the _isOverriden
	 */
	public boolean is_isOverridden() {
		return _isOverriden;
	}

	/**
	 * @param _isOverriden
	 *            the _isOverriden to set
	 */
	public void set_isOverridden(boolean _isBinary) {
		this._isOverriden = _isBinary;
	}

	/**
	 * @return the _fullQualifiedName
	 */
	public String get_fullQualifiedName() {
		return _fullQualifiedName;
	}

	/**
	 * @param _fullQualifiedName
	 *            the _fullQualifiedName to set
	 */
	public void set_fullQualifiedName(String fullQualifiedName) {

		// this._fullQualifiedName =
		// fullQualifiedName.substring(0,fullQualifiedName.indexOf("("));
		this._fullQualifiedName = fullQualifiedName;
	}

	/**
	 * @return the _isBinary
	 */
	public boolean is_isBinary() {
		return _isBinary;
	}

	/**
	 * @param _isBinary
	 *            the _isBinary to set
	 */
	public void set_isBinary(boolean _isBinary) {
		this._isBinary = _isBinary;
	}

}
