/**
 * <h1>Machine Reading</h1>
 * Overview text
 * <h2>Usage</h2>
 * The easiest way to run Machine Reading is using the following command
 * from your
 * <code>javanlp</code>
 * directory.
 * <p><code> bin/javanlp.sh
 * edu.stanford.nlp.ie.machinereading.MachineReading --arguments <i>machinereading.properties</i>
 * </code></p>
 * Sample properties files are included in
 * <code>projects/core/src/edu/stanford/nlp/ie/machinereading</code>
 * . Eventually, we will have one for each corpus. The attributes for the
 * properties file are explained below:
 * <h3><code>MachineReading</code> Properties</h3>
 * <h4>Required Properties</h4>
 * <ol>
 * 	<li><code>datasetReaderClass</code>: which <code>GenericDataSetReader</code>
 * 	to use (needs to match the corpus in question). For example: <code>edu.stanford.nlp.ie.machinereading.reader.AceReader</code></li>
 * 	<li><code>serializedModelPath</code>: where to store/load the
 * 	serialized extraction model</li>
 * 	<li><code>trainPath</code>: path to the training file/directory
 * 	(needs to match the <code>datasetReaderClass</code>)</li>
 * 	<li><code>serializedTrainingSentencesPath</code>: where to store
 * 	the serialized training sentences objects (To save time loading the
 * 	training data, the objects produced when reading them in are
 * 	serialized.)</li>
 * </ol>
 * <h4>Optional Properties:</h4>
 * The following properties are optional because the code assumes default
 * values, which it prints out if not defined.
 * <ol>
 * 	<li><code>forceRetraining</code>: retrains an extraction model
 * 	even if it already exists (otherwise, we only train if the <code>serializedModelPath</code>
 * 	doesn't exist on disk, default is <code>false</code>).</li>
 * 	<li><code>trainOnly</code>: if true, don't run evaluation (implies
 * 	<code>forceRetraining</code>, default is <code>false</code>)</li>
 * 	<li>The <code>testPath</code> and <code>serializedTestSentencesPath</code>
 * 	properties can be omitted if <code>trainOnly</code> is <code>true</code>.
 * 	Otherwise, these are analogous to their train counterparts.</li>
 * 	<li><code>extractRelations</code>: whether we should extract relations <b>(currently ignored)</b></li>
 * 	<li><code>extractEvents</code>: whether we should extract events <b>(currently ignored)</b></li>
 * </ol>
 */
package edu.stanford.nlp.ie.machinereading;